package cn.hnthyy.thmz.service.thmz;

import cn.hnthyy.thmz.entity.thmz.ScheduleOfMedicalApply;

public interface ScheduleOfMedicalApplyServicve {

    /**
     * 新增预约记录
     *
     * @param ScheduleOfMedicalApply
     * @return
     */
    int saveScheduleOfMedicalApply(ScheduleOfMedicalApply ScheduleOfMedicalApply);

    /**
     * 按照id查询档期预约
     * @param id
     * @return
     */
    ScheduleOfMedicalApply queryById(Long id);


    /**
     * 按照排班id查询档期预约
     * @param scheduleId
     * @return
     */
    ScheduleOfMedicalApply queryByScheduleId(Long scheduleId);


    /**
     * 删除档期预约
     * @param id
     * @return
     */
    int removeScheduleOfMedicalApply(Long id);

}
